using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片标准 - 全局配置")]
[Table("ReadingTrialCriterionDictionary")]
public class ReadingTrialCriterionDictionary : BaseAddAuditEntity
{

    #region 导航属性
    [JsonIgnore]
    [ForeignKey("DictionaryId")]
    public Dictionary Dictionary { get; set; }

    [ForeignKey("CriterionId")]
    [JsonIgnore]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }
    #endregion
    public Guid CriterionId { get; set; }

    public Guid DictionaryId { get; set; }
    public string ParentCode { get; set; } = string.Empty;

    public bool IsBaseLineUse { get; set; }

    public bool IsFollowVisitUse { get; set; }

    public CrterionDictionaryGroup CrterionDictionaryGroup { get; set; }
}
